[arch-commits] Commit in (4 files)

Jan de Groot jgc at archlinux.org
Mon Apr 13 13:55:47 EDT 2009


    Date: Monday, April 13, 2009 @ 13:55:46
  Author: jgc
Revision: 35454

add new package

Added:
  devicekit-power/
  devicekit-power/repos/
  devicekit-power/trunk/
  devicekit-power/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

Added: devicekit-power/trunk/PKGBUILD
===================================================================
--- devicekit-power/trunk/PKGBUILD	                        (rev 0)
+++ devicekit-power/trunk/PKGBUILD	2009-04-13 17:55:46 UTC (rev 35454)
@@ -0,0 +1,24 @@
+# $Id: $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Denis Zawada <deno at rootnode.net>
+
+pkgname=devicekit-power
+pkgver=007
+pkgrel=1
+pkgdesc="DeviceKit-power is an abstraction for enumerating power devices, listening to device events and querying history and statistics"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/DeviceKit"
+license=('LGPL')
+depends=('devicekit>=003' 'libusb>=0.1.12' 'policykit>=0.9')
+makedepends=('gtk-doc' 'pkgconfig' 'intltool' 'docbook-xsl')
+options=('!emptydirs' '!libtool')
+source=("http://hal.freedesktop.org/releases/DeviceKit-power-${pkgver}.tar.gz")
+md5sums=('4b1159374f36e23fe7d920f934076269')
+
+build() {
+  cd "${srcdir}/DeviceKit-power-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+              --libexecdir=/usr/lib/DeviceKit --disable-static
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}



More information about the arch-commits mailing list